## akonadi-search 24.08.2

=== debian/changelog ===
akonadi-search (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 17:48:31 -0500

akonadi-search (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:35 +0200

akonadi-search (4:24.08.0-2) experimental; urgency=medium

  [ Matthias Geiger ]
  * d/rules: set rustflags needed for build, use packaged crates

  [ Patrick Franz ]
  * Add patch to adjust dependencies for the Rust crate to what is
    available in Debian.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Oct 2024 21:11:31 +0200

akonadi-search (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Aug 2024 00:11:29 +0200

akonadi-search (4:22.12.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061881

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:39:18 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cargo,
               cmake (>= 3.16~),
               corrosion,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dpkg-dev (>= 1.22.5),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libakonadi-dev (>= 4:24.08.2~),
               libakonadimime-dev (>= 4:24.08.2~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6runner-dev (>= 6.3.0~),
               libkmime-dev (>= 24.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               librust-cxx-build-dev,
               librust-cxx-dev,
               librust-html2text-dev,
               libxapian-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               rustc,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Rules-Requires-Root: no

Package: libakonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libakonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libakonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:24.08.2~),
         libakonadimime-dev (>= 4:24.08.2~),
         libkf6calendarcore-dev (>= 6.3.0~),
         libkf6contacts-dev (>= 6.3.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkmime-dev (>= 24.08.2~),
         libkpim6akonadisearchcore6 (= ${binary:Version}),
         libkpim6akonadisearchdebug6 (= ${binary:Version}),
         libkpim6akonadisearchpim6 (= ${binary:Version}),
         libkpim6akonadisearchxapian6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
         ${so:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libakonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkpim6akonadisearchcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libakonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.

Package: libkpim6akonadisearchdebug6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.

Package: libkpim6akonadisearchpim6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkpim6akonadisearchxapian6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.

## akonadi-search 24.12.0

=== debian/changelog ===
akonadi-search (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:52:51 +0100

akonadi-search (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:38:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: akonadi-search
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: ca-certificates,
                cargo,
@@ -11,33 +10,33 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dpkg-dev (>= 1.22.5),
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadimime-dev (>= 4:24.08.2~),
-               libkf6calendarcore-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6contacts-dev (>= 6.3.0~),
-               libkf6crash-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kcmutils-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6runner-dev (>= 6.3.0~),
-               libkmime-dev (>= 24.08.2~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.0~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kcmutils-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6runner-dev (>= 6.6.0~),
+               libkmime-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-build-dev,
                librust-cxx-dev,
                librust-html2text-dev,
                libxapian-dev,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                rustc,
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-search
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
 Rules-Requires-Root: no
 
 Package: libakonadisearch-bin
@@ -65,17 +64,17 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.08.2~),
-         libakonadimime-dev (>= 4:24.08.2~),
-         libkf6calendarcore-dev (>= 6.3.0~),
-         libkf6contacts-dev (>= 6.3.0~),
+Depends: libakonadi-dev (>= 4:24.12.0~),
+         libakonadimime-dev (>= 4:24.12.0~),
+         libkf6calendarcore-dev (>= 6.6.0~),
+         libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.08.2~),
+         libkmime-dev (>= 24.12.0~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),
          libkpim6akonadisearchxapian6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
          ${so:Depends},
 Description: Akonadi search library - development files

## akonadi-search 24.12.2

=== debian/changelog ===
akonadi-search (4:24.12.2-2) unstable; urgency=medium

  * Team upload
  * Refresh rustc-deps patch; use html2text 0.12
  * d/control: Update rust dependencies with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Fri, 28 Feb 2025 14:26:48 +0100

akonadi-search (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: ca-certificates,
-               cargo,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dpkg-dev (>= 1.22.5),
+               ca-certificates,
+               cargo:native,
                cmake (>= 3.16~),
                corrosion,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
-               dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -23,14 +23,15 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               librust-cxx-build-dev,
-               librust-cxx-dev,
-               librust-html2text-dev,
-               libxapian-dev,
+			   librust-cxx-1+default-dev (>= 1.0.106-~~),
+			   librust-cxx-build-1+default-dev (>= 1.0.106-~~),
+			   librust-html2text-0.12+default-dev,
+			   libstd-rust-dev,
+			   libxapian-dev,
                qt6-base-dev (>= 6.7.0~),
-               rustc,
+               rustc:native,
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -64,12 +65,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libakonadimime-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libakonadimime-dev (>= 4:24.12.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 24.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.3.3")
project(AkonadiSearch VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CMakeDependentOption)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
agent/*.cpp
agent/*.h
agent/*.c
akonadiplugin/*.cpp
akonadiplugin/*.h
akonadiplugin/*.c
core/*.cpp
core/*.h
core/*.c
debug/*.cpp
debug/*.h
debug/*.c
lib/*.cpp
lib/*.h
lib/*.c
runner/*.cpp
runner/*.h
runner/*.c
search/*.cpp
search/*.h
search/*.c
xapian/*.cpp
xapian/*.h
xapian/*.c

)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


cmake_dependent_option(
    AKONADISEARCH_ENABLE_KRUNNER_RUNNER
    "Build KRunner runner to search contacts" ON
    "NOT WIN32;NOT APPLE" OFF
)

set(AKONADISEARCH_VERSION ${PIM_VERSION})

set(AKONADI_VERSION "6.3.3")
set(AKONADI_MIMELIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")
set(QT_REQUIRED_VERSION "6.7.0")
set(KPIM_MIME_VERSION "6.3.3")
set(KTEXTADDONS_MIN_VERSION "1.5.4")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO)
if(AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    find_package(KF6Runner ${KF_MIN_VERSION} REQUIRED)
endif()

find_package(Xapian CONFIG)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "The Xapian search engine library"
    URL "https://xapian.org"
    TYPE REQUIRED
)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(Corrosion)
set_package_properties(Corrosion PROPERTIES
    PURPOSE "Required for safe parsing of html emails"
    DESCRIPTION "CMake scripts to seamlessly build and link to targets using cargo"
    URL https://github.com/corrosion-rs/corrosion
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADISEARCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfigVersion.cmake"
    SOVERSION 6
)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)

# Compiler flags
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)



option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()


# Turn exceptions on
kde_enable_exceptions()

include_directories(
  ${XAPIAN_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}/xapian
  ${CMAKE_BINARY_DIR}/xapian
)
# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiSearch")
# Targets
add_subdirectory(xapian)
add_subdirectory(core)
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(akonadiplugin)
add_subdirectory(search)
add_subdirectory(debug)
if(AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    add_subdirectory(runner)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiSearchPIM_QCH
        FILE KPim6AkonadiSearchPIMQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiSearchPIMQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiSearchConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KPim6AkonadiSearchTargets
        NAMESPACE KPim6::
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPim6AkonadiSearchTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
        EXPORT AKONADISEARCH
        FILE akonadi-search.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
       )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
ecm_feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== akonadiplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()

add_library(akonadi_search_plugin
 MODULE
)
target_sources(akonadi_search_plugin PRIVATE searchplugin.cpp searchplugin.h)
ecm_qt_declare_logging_category(akonadi_search_plugin HEADER akonadiplugin_indexer_debug.h IDENTIFIER AKONADIPLUGIN_INDEXER_LOG CATEGORY_NAME org.kde.pim.akonadiplugin_indexer
        DESCRIPTION "akonadisearch (akonadi plugin indexer)"
        OLD_CATEGORY_NAMES log_akonadiplugin_indexer
        EXPORT AKONADISEARCH
   )



target_link_libraries(akonadi_search_plugin
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::AkonadiSearchCore
    KF6::Contacts
)

install(TARGETS akonadi_search_plugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/akonadi)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== core/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
add_library(KPim6AkonadiSearchCore)
add_library(KPim6::AkonadiSearchCore ALIAS KPim6AkonadiSearchCore)
target_sources(KPim6AkonadiSearchCore PRIVATE
    searchstore.cpp
    term.cpp
    query.cpp
    resultiterator.cpp

    searchstore.h
    term.h
    query.h
    resultiterator.h
   )

ecm_qt_declare_logging_category(KPim6AkonadiSearchCore HEADER akonadi_search_core_debug.h IDENTIFIER AKONADI_SEARCH_CORE_LOG CATEGORY_NAME org.kde.pim.akonadi_search_core
        DESCRIPTION "akonadisearch (akonadi core lib)"
        EXPORT AKONADISEARCH
   )

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6AkonadiSearchCore PROPERTIES UNITY_BUILD ON)
endif()



target_link_libraries(KPim6AkonadiSearchCore
    PUBLIC
    Qt::Core
)

set_target_properties(KPim6AkonadiSearchCore PROPERTIES
    VERSION ${AKONADISEARCH_VERSION}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchCore
)
target_include_directories(KPim6AkonadiSearchCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch>")

generate_export_header(KPim6AkonadiSearchCore BASE_NAME AKONADI_SEARCH_CORE EXPORT_FILE_NAME search_core_export.h)

ecm_generate_headers(KPim6AkonadiSearchCore_CamelCasecore_HEADERS
    HEADER_NAMES
    Term
    Query
    ResultIterator
    SearchStore
    REQUIRED_HEADERS KPim6AkonadiSearchCore_core_HEADERS
    PREFIX Core
   )

install(TARGETS KPim6AkonadiSearchCore EXPORT KPim6AkonadiSearchTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KPim6AkonadiSearchCore_CamelCasecore_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch/Core
    COMPONENT Devel
)
install(FILES
    ${KPim6AkonadiSearchCore_core_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch/core
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/search_core_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch
    COMPONENT Devel
)

=== agent/autotests/CMakeLists.txt ===
add_definitions(-DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/testdata")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

set(indexer_SRCS
    ../emailindexer.cpp
    ../contactindexer.cpp
    ../akonotesindexer.cpp
    ../calendarindexer.cpp
    ../abstractindexer.cpp
    ../collectionindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../../search/calendar/calendarsearchstore.cpp
    ../akonadi_indexer_agent_debug.cpp
    ../akonadi_indexer_agent_calendar_debug.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_email_debug.cpp
)

set(indexer_LIBS
    Qt::Test
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::AkonadiAgentBase
    KPim6::Mime
    KF6::Contacts
    KF6::CalendarCore
    KPim6::AkonadiSearchPIM
    KPim6::AkonadiSearchXapian
    KF6::I18n
    KF6::Codecs
    KF6::ConfigCore
    KF6::TextUtils
)

set(indexertest_SRCS
    indexertest.cpp
    ${indexer_SRCS}
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_executable(indexertest ${indexertest_SRCS})
add_test(NAME indexertest COMMAND indexertest)
ecm_mark_as_test(indexertest)
target_link_libraries(indexertest
    ${indexer_LIBS}
)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
if(KDEPIM_RUN_AKONADI_TEST)
	set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
	set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

	set(scheduler_SRCS
	    ../scheduler.cpp
	    ../index.cpp
	    ../collectionindexingjob.cpp
	    ${indexer_SRCS}
	)

	add_akonadi_isolated_test_advanced(schedulertest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")
	add_akonadi_isolated_test_advanced(collectionindexingjobtest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")


if(NOT WIN32 AND NOT APPLE)
add_executable(collectionquerytest collectionquerytest.cpp ${query_SRCS} ${indexer_SRCS} ${scheduler_SRCS})
add_test(NAME collectionquerytest COMMAND collectionquerytest)
ecm_mark_as_test(collectionquerytest)
target_link_libraries(collectionquerytest
    ${indexer_LIBS}
    KPim6::AkonadiSearchPIM
    KPim6::AkonadiAgentBase
    KF6::ConfigCore
    Qt::Widgets
    Qt::DBus
    KF6::TextUtils
)
endif()
endif()

=== agent/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_executable(emailindexer emailtest.cpp ../emailindexer.cpp ../abstractindexer.cpp ../akonadi_indexer_agent_debug.cpp
${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_email_debug.cpp)
target_link_libraries(emailindexer
  Qt::Test
  KPim6::AkonadiCore
  KPim6::AkonadiMime
  KPim6::Mime
  KPim6::AkonadiSearchPIM
  KPim6::AkonadiSearchXapian
  KF6::Codecs
  Qt::Widgets
  KF6::TextUtils
)

=== debug/autotests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

macro(add_akonadisearchdebug_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "akonadisearchdebug-"
        LINK_LIBRARIES Qt::Test Qt::Gui KF6::Completion KF6::CoreAddons KPim6::AkonadiSearchDebug KPim6::AkonadiCore
        GUI
   )
endmacro()

add_akonadisearchdebug_unittest(akonadisearchdebugdialogtest.cpp)
add_akonadisearchdebug_unittest(akonadisearchdebugwidgettest.cpp)
add_akonadisearchdebug_unittest(akonadisearchdebugsearchpathcomboboxtest.cpp)

=== search/calendar/CMakeLists.txt ===
add_library(calendarsearchstore MODULE)
target_sources(calendarsearchstore PRIVATE calendarsearchstore.cpp ../pimsearchstore.cpp calendarsearchstore.h ../pimsearchstore.h)
target_link_libraries(calendarsearchstore
    Qt::Core
    KPim6::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim6AkonadiSearchCore
    KPim6AkonadiSearchXapian
)

install(TARGETS calendarsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/akonadi)

=== search/note/CMakeLists.txt ===
add_library(notesearchstore MODULE)
target_sources(notesearchstore PRIVATE notesearchstore.cpp ../pimsearchstore.cpp notesearchstore.h ../pimsearchstore.h)
target_link_libraries(notesearchstore
    Qt::Core
    KPim6::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim6AkonadiSearchCore
    KPim6AkonadiSearchXapian
)

install(TARGETS notesearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/akonadi)

=== debian/changelog ===
akonadi-search (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                corrosion,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -23,18 +23,18 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.3~),
                libktextaddons-dev (>= 1.5.4~),
-			   librust-cxx-1+default-dev (>= 1.0.106-~~),
-			   librust-cxx-build-1+default-dev (>= 1.0.106-~~),
-			   librust-html2text-0.12+default-dev,
-			   libstd-rust-dev,
-			   libxapian-dev,
+               librust-cxx-1+default-dev (>= 1.0.106-~~),
+               librust-cxx-build-1+default-dev (>= 1.0.106-~~),
+               librust-html2text-0.12+default-dev,
+               libstd-rust-dev,
+               libxapian-dev,
                qt6-base-dev (>= 6.7.0~),
                rustc:native,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi-search
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
@@ -65,12 +65,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.2~),
-         libakonadimime-dev (>= 4:24.12.2~),
+Depends: libakonadi-dev (>= 4:24.12.3~),
+         libakonadimime-dev (>= 4:24.12.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.12.2~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 25.07.80

=== debian/changelog ===
akonadi-search (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update rust-dependencies.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:39:09 +0100

akonadi-search (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:16 +0100

akonadi-search (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:34:56 +0100

akonadi-search (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:33 +0100

akonadi-search (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:38:39 +0100

akonadi-search (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: akonadi-search
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-kf6,
-               dpkg-dev (>= 1.22.5),
-               ca-certificates,
+Build-Depends: ca-certificates,
                cargo:native,
                cmake (>= 3.16~),
                corrosion,
+               debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -23,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
+               libkmime-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -34,10 +35,10 @@
                rustc:native,
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-search
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
 Rules-Requires-Root: no
 
 Package: libakonadisearch-bin
@@ -65,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.3~),
-         libakonadimime-dev (>= 4:24.12.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
+         libakonadimime-dev (>= 4:25.07.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.12.3~),
+         libkmime-dev (>= 25.07.80~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 25.07.90

=== debian/changelog ===
akonadi-search (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -24,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.80~),
-         libakonadimime-dev (>= 4:25.07.80~),
+Depends: libakonadi-dev (>= 4:25.07.90~),
+         libakonadimime-dev (>= 4:25.07.90~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 25.07.80~),
+         libkmime-dev (>= 25.07.90~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 25.08.0

=== lib/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

macro(add_search_test name)
    ecm_add_test("${name}test.cpp"
                TEST_NAME "${test}"
                LINK_LIBRARIES Qt::Core KPim6::AkonadiCore KPim6::AkonadiMime KPim6::Mime KF6::Contacts KPim6::AkonadiSearchPIM
    )
endmacro()

# FIXME: isolated test
#add_search_test(contactsearch)
add_search_test(emailquery)
add_search_test(contactcompletion)

=== debian/changelog ===
akonadi-search (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:47:27 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -24,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.90~),
-         libakonadimime-dev (>= 4:25.07.90~),
+Depends: libakonadi-dev (>= 4:25.08.0~),
+         libakonadimime-dev (>= 4:25.08.0~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 25.07.90~),
+         libkmime-dev (>= 25.08.0~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 25.08.1

=== akonadiplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()

add_library(akonadi_search_plugin MODULE)
target_sources(akonadi_search_plugin PRIVATE searchplugin.cpp searchplugin.h)
ecm_qt_declare_logging_category(akonadi_search_plugin HEADER akonadiplugin_indexer_debug.h IDENTIFIER AKONADIPLUGIN_INDEXER_LOG CATEGORY_NAME org.kde.pim.akonadiplugin_indexer
        DESCRIPTION "akonadisearch (akonadi plugin indexer)"
        OLD_CATEGORY_NAMES log_akonadiplugin_indexer
        EXPORT AKONADISEARCH
)

target_link_libraries(
    akonadi_search_plugin
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::AkonadiSearchCore
    KF6::Contacts
)

install(
    TARGETS akonadi_search_plugin
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/akonadi
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== xapian/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
add_library(KPim6AkonadiSearchXapian)
add_library(KPim6::AkonadiSearchXapian ALIAS KPim6AkonadiSearchXapian)

target_sources(
    KPim6AkonadiSearchXapian
    PRIVATE
        xapiansearchstore.cpp
        xapiandocument.cpp
        xapiandatabase.cpp
        xapiantermgenerator.cpp
        xapianqueryparser.cpp
        xapiansearchstore.h
        xapiandocument.h
        xapiandatabase.h
        xapiantermgenerator.h
        xapianqueryparser.h
)

ecm_qt_declare_logging_category(KPim6AkonadiSearchXapian HEADER akonadi_search_xapian_debug.h IDENTIFIER AKONADI_SEARCH_XAPIAN_LOG CATEGORY_NAME org.kde.pim.akonadi_search_xapian
        DESCRIPTION "akonadisearch (akonadi indexer xapian)"
        OLD_CATEGORY_NAMES log_akonadi_search_xapian
        EXPORT AKONADISEARCH
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6AkonadiSearchXapian PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(
    KPim6AkonadiSearchXapian
    PUBLIC Qt::Core KPim6::AkonadiSearchCore ${XAPIAN_LIBRARIES}
)

set_target_properties(
    KPim6AkonadiSearchXapian
    PROPERTIES
        VERSION ${AKONADISEARCH_VERSION}
        SOVERSION ${AKONADISEARCH_SOVERSION}
        EXPORT_NAME AkonadiSearchXapian
)

generate_export_header(
    KPim6AkonadiSearchXapian
    BASE_NAME AKONADI_SEARCH_XAPIAN
    EXPORT_FILE_NAME search_xapian_export.h
)

install(
    TARGETS KPim6AkonadiSearchXapian
    EXPORT KPim6AkonadiSearchTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(
    FILES
        xapiandatabase.h
        xapiandocument.h
        xapianqueryparser.h
        xapiansearchstore.h
        xapiantermgenerator.h
        ${CMAKE_CURRENT_BINARY_DIR}/search_xapian_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch/Xapian
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== debug/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
-include_directories(
-  ${CMAKE_CURRENT_BINARY_DIR}/..
-)
+include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
 
 macro(add_akonadisearchdebug_unittest _source)
     get_filename_component(_name ${_source} NAME_WE)
@@ -9,7 +7,7 @@
         NAME_PREFIX "akonadisearchdebug-"
         LINK_LIBRARIES Qt::Test Qt::Gui KF6::Completion KF6::CoreAddons KPim6::AkonadiSearchDebug KPim6::AkonadiCore
         GUI
-   )
+    )
 endmacro()
 
 add_akonadisearchdebug_unittest(akonadisearchdebugdialogtest.cpp)

=== debug/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

add_executable(akonadisearchdebug_dialog_gui akonadisearchdebug_dialog_gui.cpp)
ecm_mark_as_test(akonadisearchdebug_dialog_gui)
target_link_libraries(
    akonadisearchdebug_dialog_gui
    Qt::Core
    Qt::Gui
    Qt::Widgets
    KPim6::AkonadiCore
    KF6::I18n
    KPim6::AkonadiSearchDebug
)

=== debian/changelog ===
akonadi-search (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.0~),
-               libakonadimime-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
+               libakonadimime-dev (>= 4:25.08.1~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -24,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.0~),
-         libakonadimime-dev (>= 4:25.08.0~),
+Depends: libakonadi-dev (>= 4:25.08.1~),
+         libakonadimime-dev (>= 4:25.08.1~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 25.08.0~),
+         libkmime-dev (>= 25.08.1~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),
